# Nintendo Switch Port of DevilutionX (Diablo)

# How To Install:
 - Put `devilutionx.nro` and `CharisSILB.ttf` in into `/switch/devilutionx`
 - Copy diabdat.mpq from your CD (or GoG install folder) to `/switch/devilutionx`. Make sure it is all lowercase.
 - Launch `devilutionx.nro`. (Do not use album to launch; see the note below.)
 - *Note:* Hold R on any installed game and launch it. Do not use album to launch. If you use album, the homebrew will only have a small amount memory available, and the touch keyboard won't work. This is true for all homebrew, not just DevilutionX.

# Joycon Controls
- Left analog or D-Pad: move hero
- A: attack nearby enemies, talk to townspeople and merchants, pickup/place items in the inventory, OK while in main menu
- B: select spell, back while in menus
- X: pickup items, open nearby chests and doors, use item in the inventory
- Y: cast spell, delete character while in main menu
- L: use health item from belt
- R: use mana potion from belt
- ZL or Start + Left: character sheet
- ZR or Start + Right: inventory
- Left analog click or Start + Down: toggle automap
- Start + Up or Start + Select: game menu
- Start + Left: character info
- Start + Right: inventory
- Select + A/B/X/Y: Spell hotkeys
- Right analog: move automap or simulate mouse
- Right analog click or Select + L: left mouse click
- Select + Right analog click or Select + R: right mouse click
- Select + ZL or Start + Y: quest log
- Select + ZR or Start + B: spell book

# Touch Controls
 - Single finger drag: move the mouse pointer (pointer jumps to finger)
 - Single short tap: left mouse click
 - Single short tap while holding a second finger down: right mouse click
 - Dual finger drag: drag'n'drop (left mouse button is held down)
 - Three finger drag: drag'n'drop (right mouse button is held down)

# Credits
 - See list of contributors https://github.com/diasurgical/devilutionX/graphs/contributors

# Legal
This software is being released to the Public Domain. No assets of Diablo are being provided. You must own a copy of Diablo and have access to the assets beforehand in order to use this software.

Battle.net® - Copyright © 1996 Blizzard Entertainment, Inc. All rights reserved. Battle.net and Blizzard Entertainment are trademarks or registered trademarks of Blizzard Entertainment, Inc. in the U.S. and/or other countries.

Diablo® - Copyright © 1996 Blizzard Entertainment, Inc. All rights reserved. Diablo and Blizzard Entertainment are trademarks or registered trademarks of Blizzard Entertainment, Inc. in the U.S. and/or other countries.

This software is in no way associated with or endorsed by Blizzard Entertainment®.
